variablelist.as.blocks
Prev | Miscellaneous | Next

## Name

variablelist.as.blocks — Format `variablelist`s lists as blocks?

## Synopsis

    <xsl:param name="variablelist.as.blocks" select="0"></xsl:param>

## Description

If non-zero, `variablelist`s will be formatted as blocks.

If you have long terms, proper list markup in the FO case may produce unattractive lists. By setting this parameter, you can force the stylesheets to produce block markup instead of proper lists.

You can override this setting with a processing instruction as the child of `variablelist`: `<?dbfo list-presentation="blocks">` or `<?dbfo list-presentation="list">`

      <variablelist>
            <?dbfo list-presentation="list"?>
            <varlistentry>
              <term>list</term>
              <listitem>
                    <para>
                      Formatted as a list even if variablelist.as.blocks is set to 1.
                    </para>
              </listitem>
            </varlistentry>
      </variablelist>

Prev | Up | Next
segmentedlist.as.table | Home | blockquote.properties